/* 
    qasn1 - parsertest - unit tests for parser class of qasn1 library
    Copyright(C) 2010 - Andrius da Costa Ribas

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef parsertest_h
#define parsertest_h
#include <QtCore/QObject>

class Asn1BerParserTest : public QObject
{
    Q_OBJECT
private slots:
    void initTestCase();

    void testPrimitive();
    void testComplexNoLength();
    void testFileToArray();
    void testZeroLength();
    void testFile();

    void cleanupTestCase();
};

#endif